Bug 1003004 - initscript does not source /etc/sysconfig/cobbler
initscript does not source /etc/sysconfig/cobbler
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: cobbler (Show other bugs)
el6
All Linux
unspecified Severity high
: ---
: ---
Assigned To: James C.
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 08:59 EDT by Brian J. Murrell
Modified: 2014-08-07 07:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: cobbler-2.6.3-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-07 07:47:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian J. Murrell 2013-08-30 08:59:53 EDT
Description of problem:

It's a common convention for an initscript to source a configuration file in /etc/sysconfig/ to get local configuration changes.  /etc/init.d/cobblerd doesn't do this.

As such there is no way to set something in cobblerd's environment such as proxy configuration.

Version-Release number of selected component (if applicable):

cobbler-2.4.0-1.el6.noarch

/etc/init.d/cobblerd should source /etc/sysconfig/cobblerd for such things as setting a proxy in cobblerd's environment.
Comment 1 James C. 2013-08-30 14:51:19 EDT
Hi Brian, this is a feature request and not really a bug. Could you open an issue over at github so I can track this there? Thanks!
Comment 2 Brian J. Murrell 2013-09-03 10:41:28 EDT
James,

Except that /etc/sysconfig/* is a RHism.  Do you really want to add distro-specific bits to the generic upstream project?
Comment 3 Brian J. Murrell 2013-09-03 10:43:31 EDT
In any case, done: https://github.com/cobbler/cobbler/issues/579
Comment 4 Brian J. Murrell 2013-09-24 13:18:55 EDT
While we wait for upstream to address this, can we please have a patched cobbler package that includes this?
Comment 5 Brian J. Murrell 2014-04-16 14:41:26 EDT
The upstream ticket has been closed with the resolution that the fix is in the 2.6.0 release of cobbler.

I'm re-opening this ticket with an action of of updating the RH cobbler package to the upstream 2.6.0.
Comment 6 Fedora Update System 2014-07-17 13:28:24 EDT
cobbler-2.6.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cobbler-2.6.2-1.el6
Comment 7 Fedora Update System 2014-07-18 19:09:56 EDT
cobbler-2.6.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cobbler-2.6.3-1.el6
Comment 8 Fedora Update System 2014-07-20 14:01:08 EDT
Package cobbler-2.6.3-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cobbler-2.6.3-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1961/cobbler-2.6.3-1.el6
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2014-08-07 07:47:51 EDT
cobbler-2.6.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.